Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.plot
Class CircleSymbolFactory

    java.lang.Object
      jcckit.plot.AbstractSymbolFactory
          jcckit.plot.CircleSymbolFactory

All Implemented Interfaces:
  SymbolFactory

public class CircleSymbolFactory
extends AbstractSymbolFactory

A factory of circle symbols.

Author:
  Franz-Josef Elmer

Field Summary

Fields inherited from class jcckit.plot.AbstractSymbolFactory
`_attributes, _size`

Fields inherited from interface jcckit.plot.SymbolFactory
`ATTRIBUTES_KEY, DEFAULT_SIZE, SIZE_KEY`

Constructor Summary
`CircleSymbolFactory(ConfigParameters config)` Creates an instance from the specified configuration parameters.

Method Summary
`protected GraphicalElement` | `createPlainSymbol(GraphPoint centerPosition, double size, GraphicAttributes attributes)` Creates a circle.

Methods inherited from class jcckit.plot.AbstractSymbolFactory
`createLegendSymbol, createSymbol, createSymbol`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CircleSymbolFactory

    public CircleSymbolFactory(ConfigParameters config)

  Creates an instance from the specified configuration parameters. For the configuration parameters see the constructor of the superclass `AbstractSymbolFactory`.

Method Detail

### createPlainSymbol

    protected GraphicalElement createPlainSymbol(GraphPoint centerPosition,
                                                 double size,
                                                 GraphicAttributes attributes)

  Creates a circle.

  Specified by:
    `createPlainSymbol` in class `AbstractSymbolFactory`
  Parameters:
    `centerPosition` - Position of the center of the circle.
    `size` - Diameter of the circle.
    `attributes` - Circle attributes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD